services:
  advban.ip_manager:
    class: Drupal\advban\AdvbanIpManager
    arguments: ['@database','@config.factory','@string_translation']
    tags:
      - { name: backend_overridable }
  advban.middleware:
    class: Drupal\advban\AdvbanMiddleware
    arguments: ['@advban.ip_manager']
    tags:
      # Ensure to come before page caching, so you don't serve cached pages to
      # banned users.
      - { name: http_middleware, priority: 250 }
